Subject: bug#1437: 23.0.60; ido-mode unresponsive once new filename typed

From: Klymak Jody <[email-masked]>
Date: Wed, 26 Nov 2008 16:28:43 -0800

I am using ido-mode, the following works fine on previous emacsen.

If I try and open a file in a directory that does not exist, ido hangs
with a "Searching for 'newfile'..."  I have to "Force Quit" emacs.
Old Emacsen would allow me to keep typing or create a new file by
hitting return.

Thanks,  Jody

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.5.0, NS apple-appkit-949.35)
  of 2008-11-07 on saturna.seos.uvic.ca
Windowing system distributor `Apple', version  
97.112.112.108.101.45.97.112.112.107.105.116.45.57.52.57.46.51.53
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   dired-omit-mode: t
   cua-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   global-auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Source file `/Users/jklymak/emacs-common/muse/lisp/muse-project.el'  
newer than byte-compiled file
Source file `/Users/jklymak/emacs-common/muse/lisp/muse-publish.el'  
newer than byte-compiled file
Source file `/Users/jklymak/emacs-common/muse/lisp/muse-html.el' newer  
than byte-compiled file
Loading /Users/jklymak/emacs-common/emacs-wiki-functions.el  
(source)...done
Loading /Users/jklymak/emacs-common/planner-config.el (source)...done
Source file `/Applications/Emacs23.app/Contents/Resources/lisp/ido.el'  
newer than byte-compiled file
Ido mode enabled
Loading /Users/jklymak/.gemacs/init.el (source)...done
Loading /Users/jklymak/.gemacs/custom.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.